#include <iostream>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

bool poredjani(string s, long long l){
	int i;
	int c,cc;
	for(i=0;i<l-1;i++){
		c=s[i];
		cc=s[i+1];
		if(cc-c!=1){
			return false;
		}
	}
	return true;
}

bool brojanje(string s, long long l){
	int i;
	int br=0;
	int c,cc;
	for(i=0;i<l-1;i++){
		c=s[i];
		cc=s[i+1];
		if(cc-c!=1){
			br++;
		}
		if(br==2){
			return 0;
		}
	}
	return true;
}

int main(int argc, char** argv){
	ios_base::sync_with_stdio(false);
	string s;
	long long l;
	cin>>l>>s;
	if(l<=26){
		cout<<0;
		return 0;
	}
	if(brojanje(s,l)){
		cout<<1;
	}
	else{
		cout<<0;
	}
	return 0;
}
/*
27
abcdeffghijklmnopqsstuvwxyz
*/